//
//  DesignableView.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 08.11.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import UIKit

@IBDesignable class DesignableView: UIView {

    @IBInspectable var cornerRadius: CGFloat = 0 {
        didSet {
            self.layer.cornerRadius = cornerRadius
        }
    }

}
