//
//  CollectionViewDataModelItem.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 11.10.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import Foundation

class CollectionViewDataModelItem {
    var cellID : String?
    var cellState : String?
    
    init?(data: [String: String]?) {
        if let data = data, let id = data["cellID"], let state = data["cellState"] {
            self.cellID = id
            self.cellState = state
        } else {
            print("returns nil in CollectionViewDataModelItem")
            return nil
        }
    }
    
    func getCellDiscription() -> (id: String, state: String) {
        return (cellID!, cellState!)
    }
    
    func setCellDescription(newCellState: String!) {
        self.cellState = newCellState
    }
}
