//
//  LabelCollectionViewCell.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 11.10.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import UIKit

class LabelCollectionViewCell: UICollectionViewCell {
    
    @IBOutlet var label: UILabel!
    
    class var identifier : String {return String(describing: self) }
    class var nib: UINib { return UINib(nibName: identifier, bundle: nil) }
    
    var dataModelItem: CollectionViewDataModelItem!
    
    override func awakeFromNib() {
        super.awakeFromNib()
    }
    
    func configureWithItem(item : CollectionViewDataModelItem) {
        label?.text = item.cellState
        if item.cellState == "ON" {
            label.backgroundColor = UIColor.green
        } else {
            label.backgroundColor = UIColor.red
        }
        self.dataModelItem = item
    }
    
    func getCollectionViewDataModelItem() -> CollectionViewDataModelItem {
        return self.dataModelItem
    }
    
    /*private var cellID: String!
    private var state: Bool!
    
    override func awakeFromNib() {
        super.awakeFromNib()
    }
    
    func setCellID(newCellID: String!) {
        cellID = newCellID
    }
    
    func setState(newState: Bool!) {
        state = newState
        if(state) {
            backgroundColor = UIColor.green
        } else {
            backgroundColor = UIColor.red
        }
    }
    
    func getCellID() -> String! {
        return cellID
    }
    
    func getState() -> Bool {
        return state;
    }*/
}
