//
//  RCNotifications.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 04.09.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import NotificationCenter

struct RCNotification {
    static let BluetoothReady = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.bluetoothReady")
    static let StartScanning = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.startScanning")
    static let StopScanning = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.stopScanning")
    static let FoundDevice = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.foundDevice")
    static let ConnectionComplete = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.connectionComplete")
    static let PowerSocketServiceScanComplete = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.powerSocketServiceScanComplete")
    static let PowerSocketCharacteristicsScanComplete = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.powerSocketCharacteristicsScanComplete")
    static let PowerSocketWriteCharacteristicValue = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.powerSocketWriteCharacteristicValue")
    static let PowerSocketReadCharacteristicValue = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.powerSocketReadCharacteristicValue")
    static let CurrentTimeServiceScanComplete = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.currentTimeServiceScanComplete")
    static let CurrentTimeCharacteristicsScanComplete = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.currentTimeCharacteristicsScanComplete")
    static let CurrentTimeWriteCharacteristicValue = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.currentTimeWriteCharacteristicValue")
    static let TimeSettingsServiceScanComplete = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.timeSettingsServiceScanComplete")
    static let TimeSettingsCharacteristicsScanComplete = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.timeSettingsCharacteristicsScanComplete")
    static let TimeSettingsWriteCharacteristicValue = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.timeSettingsWriteCharacteristicValue")
    static let TimeSettingsWriteCharFinished = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.timeSettingsWriteCharFinished")
    static let TimeSettingsWritePinCharacteristicValue = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.timeSettingsWritePinCharacteristicValue")
    static let DisconnectedDevice = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.disconnectedDevice")
    
    static let ButtonNamesChanged = NSNotification.Name("ch.Hesso.nicolaswiedmer.iOS-ble-app.buttonNamesChanged")
}

