//
//  TableViewDataModelItem.swift
//  iOS_ble_app
//
//  Created by Nicolas Wiedmer on 03.09.18.
//  Copyright © 2018 Nicolas Wiedmer. All rights reserved.
//

import UIKit

class TableViewDataModelItem {
    var deviceName : String?
    var deviceAddress : String?
    var deviceRSSI : String?
    
    init?(data: [String: String]?) {
        if let data = data, let name = data["deviceName"], let address = data["deviceAddress"], let rssi = data["deviceRSSI"] {
            self.deviceName = name
            self.deviceAddress = address
            self.deviceRSSI = rssi
        } else {
            print("returns nil in TableViewDataModelItem")
            return nil
        }
    }
    
    func getDeviceDescription() -> (name: String, address: String, rssi: String) {
        return (deviceName!, deviceAddress!, deviceRSSI!)
    }
}
